STG-FLOAT(1)

NAME
stg-float - Push patches to the top, even if applied

SYNOPSIS

stg float [OPTIONS] <patch>...
stg float [OPTIONS] <-S|--series> <file>

DESCRIPTION

Push patches to the top, even if applied.

Float one or more patches to be the topmost applied patches. The patches to be floated may currently be either applied or unapplied. The necessary pop and push operations will be performed to float the named patches. Patches not specified will remain applied or unapplied as they were prior to the float operation.

OPTIONS

--noapply
    Reorder patches without reapplying any patches

-S <file>, --series=<file>
    Rearrange according to a series <file>

-k, --keep
    Keep the local changes

--committer-date-is-author-date
    Instead of using the current time as the committer date, use the author date of the commit as the committer date.

STGIT

Part of the StGit suite - see stg(1)